Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.hp.hpl.jena.query
Class QueryParseException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  com.hp.hpl.jena.shared.JenaException
                      com.hp.hpl.jena.sparql.ARQException
                          com.hp.hpl.jena.query.QueryException
                              com.hp.hpl.jena.query.QueryParseException

All Implemented Interfaces:
  java.io.Serializable

    public class QueryParseException

extends QueryException

QueryParseException is root exception for all (intentional) exceptions from the various parsers where the error is to do with the syntax of a query.

Author:
  Andy Seaborne
See Also:
  Serialized Form

Constructor Summary
`QueryParseException(int line, int column)`
`QueryParseException(java.lang.String msg, int line, int column)`
`QueryParseException(java.lang.String msg, java.lang.Throwable cause, int line, int column)`
`QueryParseException(java.lang.Throwable cause, int line, int column)`

Method Summary
`int` | `getColumn()` Column number where the parse exception occurred.
`int` | `getLine()` Line number where the parse exception occurred.

Methods inherited from class com.hp.hpl.jena.shared.JenaException
`getCause, printStackTrace, printStackTrace`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### QueryParseException

    public QueryParseException(int line,
                               int column)

### QueryParseException

    public QueryParseException(java.lang.Throwable cause,
                               int line,
                               int column)

### QueryParseException

    public QueryParseException(java.lang.String msg,
                               int line,
                               int column)

### QueryParseException

    public QueryParseException(java.lang.String msg,
                               java.lang.Throwable cause,
                               int line,
                               int column)

Method Detail

### getColumn

    public int getColumn()

  Column number where the parse exception occurred.

### getLine

    public int getLine()

  Line number where the parse exception occurred.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004, 2005, 2006, 2007, 2008 Hewlett-Packard Development Company, LP